- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Signals | Public Member Functions | Protected Member Functions | Friends

# QClipboard Class Reference

Search for all occurrences

## Detailed Description

Definition at line 62 of file qclipboard.h.

`#include <qclipboard.h>`

Inheritance diagram for QClipboard:
[legend]

List of all members.

## Public Types
enum | Mode { Clipboard, Selection, FindBuffer, LastMode = FindBuffer }
## Signals
void | changed (QClipboard::Mode mode)
void | selectionChanged ()
void | findBufferChanged ()
void | dataChanged ()
## Public Member Functions
void | clear (Mode mode=Clipboard)
bool | supportsSelection () const
bool | supportsFindBuffer () const
bool | ownsSelection () const
bool | ownsClipboard () const
bool | ownsFindBuffer () const
QString | text (Mode mode=Clipboard) const
QString | text (QString &subtype, Mode mode=Clipboard) const
void | setText (const QString &, Mode mode=Clipboard)
const QMimeData * | mimeData (Mode mode=Clipboard) const
void | setMimeData (QMimeData *data, Mode mode=Clipboard)
QImage | image (Mode mode=Clipboard) const
QPixmap | pixmap (Mode mode=Clipboard) const
void | setImage (const QImage &, Mode mode=Clipboard)
void | setPixmap (const QPixmap &, Mode mode=Clipboard)
## Protected Member Functions
void | connectNotify (const char *)
bool | event (QEvent *)
## Friends
class | QApplication
class | QApplicationPrivate
class | QBaseApplication
class | QDragManager
class | QMimeSource

## Member Enumeration Documentation

enum Mode

Search for all occurrences

Enumerator:

  Clipboard | Search for all occurrences
  Selection | Search for all occurrences
  FindBuffer | Search for all occurrences
  LastMode | Search for all occurrences

Definition at line 71 of file qclipboard.h.

    { Clipboard, Selection, FindBuffer, LastMode = FindBuffer };

## Member Function Documentation

void clear | ( | Mode | mode = `Clipboard` | ) |

Search for all occurrences

bool supportsSelection | ( |  | ) | const

Search for all occurrences

bool supportsFindBuffer | ( |  | ) | const

Search for all occurrences

bool ownsSelection | ( |  | ) | const

Search for all occurrences

bool ownsClipboard | ( |  | ) | const

Search for all occurrences

bool ownsFindBuffer | ( |  | ) | const

Search for all occurrences

QString text | ( | Mode | mode = `Clipboard` | ) | const

Search for all occurrences

QString text | ( | QString & | subtype,
|  | Mode | mode = `Clipboard`
| ) |  | const

Search for all occurrences

void setText | ( | const QString & | ,
|  | Mode | mode = `Clipboard`
| ) |  |

Search for all occurrences

const QMimeData* mimeData | ( | Mode | mode = `Clipboard` | ) | const

Search for all occurrences

void setMimeData | ( | QMimeData * | data,
|  | Mode | mode = `Clipboard`
| ) |  |

Search for all occurrences

QImage image | ( | Mode | mode = `Clipboard` | ) | const

Search for all occurrences

QPixmap pixmap | ( | Mode | mode = `Clipboard` | ) | const

Search for all occurrences

void setImage | ( | const QImage & | ,
|  | Mode | mode = `Clipboard`
| ) |  |

Search for all occurrences

void setPixmap | ( | const QPixmap & | ,
|  | Mode | mode = `Clipboard`
| ) |  |

Search for all occurrences

void changed | ( | QClipboard::Mode | mode | ) | `[signal]`

Search for all occurrences

void selectionChanged | ( |  | ) | `[signal]`

Search for all occurrences

void findBufferChanged | ( |  | ) | `[signal]`

Search for all occurrences

void dataChanged | ( |  | ) | `[signal]`

Search for all occurrences

void connectNotify | ( | const char * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QObject.

bool event | ( | QEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QObject.

## Friends And Related Function Documentation

friend class QApplication `[friend]`

Search for all occurrences

Reimplemented from QObject.

Definition at line 110 of file qclipboard.h.

friend class QApplicationPrivate `[friend]`

Search for all occurrences

Reimplemented from QObject.

Definition at line 111 of file qclipboard.h.

friend class QBaseApplication `[friend]`

Search for all occurrences

Definition at line 112 of file qclipboard.h.

friend class QDragManager `[friend]`

Search for all occurrences

Definition at line 113 of file qclipboard.h.

friend class QMimeSource `[friend]`

Search for all occurrences

Definition at line 114 of file qclipboard.h.

The documentation for this class was generated from the following file:

- QtGui/qclipboard.h

QClipboard QClipboard QClipboard QClipboard QClipboard QClipboard QClipboard QClipboard QClipboard QClipboard
QClipboard QClipboard QClipboard QClipboard QClipboard QClipboard QClipboard QClipboard QClipboard QClipboard